Subject: bug#46296: 28.0.50; indent-rigidly inserts newline when exiting with RET

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Feb 2021 17:35:00 +0200

> From: Tomas Nordin <[email-masked]>
> Date: Thu, 04 Feb 2021 15:43:23 +0100
> 
> emacs -Q /tmp/indent.me
> 
> Insert the following
> 
> wording1
> wording2
> 
> Move point to beginning of wording1, C-SPC, move to end of wording2. Say
> C-x TAB, hit <right> two times or something, RET. A newline is
> inserted. The doc of 'indent-rigidly' gives me the impression that any
> key other than <left> and friends should just exit the mode.
> 
> Seems like a bug to me but I am not sure.

I think it's a documentation bug.  The manual says:

  Typing any other key disables the transient mode, and resumes normal
  editing.                                          ^^^^^^^^^^^^^^^^^^
  ^^^^^^^

So I think this means that any other character terminates the mode and
is acted upon.  We can clarify this in the docs.